# MPE_Open_graphics

(collectively) opens an X Windows display

## Synopsis

    #include "mpe.h"
    int MPE_Open_graphics( handle, comm, display, x, y, w, h, is_collective )
    MPE_XGraph *handle;
    MPI_Comm   comm;
    char       display[MPI_MAX_PROCESSOR_NAME+4];
    int        x, y;
    int        w, h;
    int        is_collective;

## Input Parameters

| comm | Communicator of participating processes
| display | Name of X window display. If null, display will be taken from the DISPLAY variable on the process with rank 0 in `comm`. If that is either undefined, or starts with w ":", then the value of display is `hostname`:0
| x,y | position of the window. If `(-1,-1)`, then the user should be asked to position the window (this is a window manager issue).
| w,h | width and height of the window, in pixels.
| is_collective | true if the graphics operations are collective; this allows the MPE graphics operations to make fewer connections to the display. If false, then all processes in the communicator comm will open the display; this could exceed the number of connections that your X window server allows. Not yet implemented.

## Output Parameter

handle
  Graphics handle to be given to other MPE graphics routines.

## Notes

This is a collective routine. All processes in the given communicator must call it, and it has the same semantics as `MPI_Barrier` (that is, other collective operations can not cross this routine).

## Notes For Fortran Interface

The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement.

All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

## Additional Notes for Fortran Interface

If Fortran `display` argument is an empty string, "", display will be taken from the DISPLAY variable on the process with rank 0 in `comm`. The trailing blanks in Fortran CHARACTER string argument will be ignored.

Location:mpe_graphics.c